# Apache Tomcat 7

Version 7.0.37, Feb 12 2013

Links

- Docs Home
- Config Ref. Home
- FAQ
- User Comments

Top Level Elements

- Server
- Service

Executors

- Executor

Connectors

- HTTP
- AJP

Containers

- Context
- Engine
- Host
- Cluster

Nested Components

- Global Resources
- JarScanner
- Listeners
- Loader
- Manager
- Realm
- Resources
- Valve

Cluster Elements

- Cluster
- Manager
- Channel
- Channel/Membership
- Channel/Sender
- Channel/Receiver
- Channel/Interceptor
- Valve
- Deployer
- ClusterListener

Other

- Filter
- System properties

# The Service Component

Table of Contents

> - Introduction
> - Attributes
>   1. Common Attributes
>   2. Standard Implementation
> - Nested Components
> - Special Features

Introduction

> A Service element represents the combination of one or more Connector components that share a single Engine component for processing incoming requests. One or more Service elements may be nested inside a Server element.

Attributes

> Common Attributes

> > All implementations of Service support the following attributes:

> > Attribute | Description
> > --- | ---
> > `className` | Java class name of the implementation to use. This class must implement the `org.apache.catalina.Service` interface. If no class name is specified, the standard implementation will be used.
> > `name` | The display name of this Service, which will be included in log messages if you utilize standard Catalina components. The name of each Service that is associated with a particular Server must be unique.

> Standard Implementation

> > The standard implementation of Service is org.apache.catalina.core.StandardService. It supports the following additional attributes (in addition to the common attributes listed above):

> > Attribute | Description
> > --- | ---

Nested Components

> The only components that may be nested inside a Service element are one or more Connector elements, followed by exactly one Engine element.

Special Features

> There are no special features associated with a Service.

Comments

> Notice: This is not a Q&A section. The Apache Comments System is explained here. Comments should be pointed towards suggestions on improving the documentation or server, and may be removed again by our moderators if they are either implemented or considered invalid/off-topic.
> Questions on how to configure or use Apache Tomcat should be directed to our mailing lists. If you need help, ask on the users mailing list.

Copyright © 1999-2013, Apache Software Foundation